Subject: bug#40006: 31/31: DRAFT gnu: bootstrap: Add support for the Hurd.

From: Efraim Flashner <[email-masked]>
Date: Mon, 16 Mar 2020 09:42:42 +0200

On Sun, Mar 15, 2020 at 07:23:52PM +0100, Jan Nieuwenhuizen wrote:
> Jan Nieuwenhuizen writes:
> 
> >> For the sake of reducing complexity and keeping supported systems as
> >> close to one another as possible, would it be an option to keep using
> >> 2.0 for GNU/Hurd, like on the other systems?
> ...
> >> That would entail changing make-bootstrap.scm to use 2.0 instead of 2.2
> >> as a first step.  And yeah, it’d also entail another full rebuild, which
> >> I’m sorry for, but I think this kind of simplification pays off quickly.
> >>
> >> WDYT?
> >
> > Yes, let's do that.  I'll also want to look at using gcc-5, that may
> > solve our libstdc++-boot0/gcc-boot0 problem.  I think it's weird that we
> > build gcc-7 by default as bootstrap binary, while using that may not
> > even work (and is certainly untested).
> 
> Yes; that worked and it simplifies things a lot.  So, wip-hurd is using
> guile-2 and gcc-5 now.  Using gcc-5 allowed me to remove the puzzling
> gcc-boot0 patch.
> 
> Just reset wip-hurd again; it was fully up to date with core-utils when
> I started building the bootstrap-tarballs... Rebasing right now to
> verify for a new round ;-)

I haven't been looking at the wip-hurd branch that much, but I tested my
libstdc++-boot0 patch on aarch64 using gcc-7 with bootstrap binary gcc-5
and it failed to build. I didn't investigate.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted